package com.loan.system.domain.enums;

/**
 * @author : EdwinXu
 * @date : Created in 2021/3/2 15:49
 */
public enum AuthEnum {
    PROJECT_CREATE("PROJECT_CREATE","项目创建"),
    PROJECT_MODIFY("PROJECT_MODIFY","项目修改"),
    PROJECT_REMOVE("PROJECT_REMOVE","项目删除"),
    PROJECT_CONFIG("PROJECT_CONFIG","项目配置"),

    STEP_CREATE("STEP_CREATE","环节创建"),
    STEP_MODIFY("STEP_MODIFY","环节修改"),
    STEP_REMOVE("STEP_REMOVE","环节删除"),

    CONTRACT_CREATE("CONTRACT_CREATE","合同创建"),
    CONTRACT_MODIFY("CONTRACT_MODIFY","合同修改"),
    CONTRACT_REMOVE("CONTRACT_REMOVE","合同删除"),

    CONTRACT_MANAGEMENT("CONTRACT_MANAGEMENT","合同管理"),

    FUND_CREATE("FUND_CREATE","经费创建"),
    FUND_MODIFY("FUND_MODIFY","经费修改"),
    FUND_REMOVE("FUND_REMOVE","经费删除"),

    USER_CREATE("USER_CREATE","用户创建"),
    USER_MODIFY("USER_MODIFY","用户修改"),
    USER_REMOVE("USER_REMOVE","用户删除"),

    CONSTRUCTION_LOG("CONSTRUCTION_LOG","施工日志"),



    PROJECT_TYPE("PROJECT_TYPE","项目类型");


    private final String auth;
    private final String msg;

    public String getAuth() {
        return auth;
    }

    public String getMsg() {
        return msg;
    }

    AuthEnum(String auth, String msg) {
        this.auth = auth;
        this.msg = msg;
    }
}
